Bug 1302900 - rhn-org-trusted-ssl-cert doesn't install correctly on EL5
rhn-org-trusted-ssl-cert doesn't install correctly on EL5
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Dobes
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2016-01-28 17:43 EST by Avi Miller
Modified: 2017-09-28 14:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 04:03:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Miller 2016-01-28 17:43:40 EST
Description of problem:

Commit bf161d6 added update-ca-cert.sh to the spec file that is used to build the rhn-org-trusted-ssl-cert RPM. However, this uses the /usr/bin/update-ca-trust tool which doesn't exist on EL5.


Version-Release number of selected component (if applicable):

spacewalk-certs-tools-2.4.7-1
spacewalk-certs-tools-2.4.6-1
spacewalk-certs-tools-2.4.5-1
spacewalk-certs-tools-2.4.4-1

How reproducible:

100%

Steps to Reproduce:
1. Install Spacewalk 2.4
2. Download rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm from the Spacewalk server
3. rpm -ivh rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm on an EL5 client

Actual results:

# rpm -ivh rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm
Preparing...                ########################################### [100%]
   1:rhn-org-trusted-ssl-cer########################################### [100%]
ln: creating symbolic link `/etc/pki/ca-trust/source/anchors' to `/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT': No such file or directory
/var/tmp/rpm-tmp.1700: line 33: /usr/bin/update-ca-trust: No such file or directory
error: %post(rhn-org-trusted-ssl-cert-1.0-1.noarch) scriptlet failed, exit status 127


Expected results:

# rpm -ivh rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm
Preparing...                ########################################### [100%]
   1:rhn-org-trusted-ssl-cer########################################### [100%]

Additional info:

There is no ca-certificates packages on EL5 and no /usr/bin/update-ca-trust tool either.
Comment 1 Jan Dobes 2016-02-03 10:13:23 EST
fixed in spacewalk master:

927fb4f2b9ba7f6ad5f681f0637d56a1b30f8f86
Comment 2 Tomáš Kašpárek 2016-06-16 04:03:48 EDT
Spacewalk 2.5 was released.
Comment 3 Eric Herget 2017-09-28 14:11:43 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.